Aller au contenu

Sketchup

Logiciel d'esquisse 3D.


295 sujets dans ce forum

  1. gabarit

    • 2 réponses
    • 2,8 k vues
  2. rendus de qualité

    • 6 réponses
    • 4,5 k vues
  3. rendu

    • 2 réponses
    • 3,1 k vues
    • 1 réponse
    • 5 k vues
  4. SketchUp 7 Portable

    • 13 réponses
    • 16 k vues
  5. matieres triangle pas beau

    • 2 réponses
    • 3 k vues
  6. SketchUp 7 FR Patch

    • 21 réponses
    • 11,1 k vues
  7. Export vers DWG

    • 6 réponses
    • 4,9 k vues
  8. plugin calcul de surface

    • 8 réponses
    • 7,7 k vues
    • 1 réponse
    • 3,1 k vues
    • 3 réponses
    • 3,3 k vues
  9. SketchUp rendu VRay

    • 23 réponses
    • 23,5 k vues
  10. etat des objets caches

    • 2 réponses
    • 4,7 k vues
    • 2 réponses
    • 4,2 k vues
    • 2 réponses
    • 5,6 k vues
  11. tube

    • 2 réponses
    • 3,5 k vues
    • 3 réponses
    • 3,6 k vues
    • 2 réponses
    • 3,9 k vues
    • 0 réponse
    • 2,6 k vues
    • 6 réponses
    • 3,8 k vues
    • 4 réponses
    • 5,8 k vues
    • 8 réponses
    • 3,9 k vues
  12. inventor sketchup

    • 2 réponses
    • 3,2 k vues
  13. zinc

    • 5 réponses
    • 3,9 k vues
    • 2 réponses
    • 3 k vues


  • Statistiques des forums

    • Total des sujets
      48,5 k
    • Total des messages
      294,5 k
  • Sujets

  • Messages

    • Tout a fait, c'était juste pour montrer les possibilités hors ActiveX, je vais y venir.
    • Quel intérêt puisque PyAutoCAD utilise la même interface COM/ActiveX. Ne peut on pas faire directement : accad = Autocad() doc = accad.ActiveDocument doc.PurgeAll() doc.Save()  
    • Pyautocad Module qui existe depuis une dizaine d'année, qui permet d'agir dans Autocad, en utilisant l'interface ActiveX. Vous avez donc toute la documentation disponible dans l'aide du développeur. La base : # Du module on importe l'objet Autocad et APoint from pyautocad import Autocad, APoint # Instanciation de l'objet Autocad accad = Autocad() # ou accad = Autocad(create_if_not_exists=True) si on veut ouvrir Autocad le cas écheant. # le document actif doc = accad.ActiveDocument # l'application app = accad.Application # l'espace objet ms = doc.model Je rappelle qu'il n'y a rien à faire dans Autocad, il se laisse faire, aucune sécurité mise en place pour Python. A partir de là, tout le panel ActiveX est disponible, mais pas que. grace à la méthode SendCommand, tout Autolisp / Visual Lisp et toutes les commandes Autocad. Pour exécuter le code Python hors de l'EDI, il faudra double cliquer dessus. Et pour éviter que la console Python s'ouvre, enregistrer votre fichier avec l'extension pyw. Pour faire des tests, restez dans l'EDI. Exemple SendCommand comme en script : doc.SendCommand('-purger\ntout\n*\nn\n_qsave\n') ou pour lancer un script doc.SendCommand('_script\n"c:/mon_fichier.scr"\n') ou en autolisp doc.SendCommand('(command "-purger" "tout" "*" "n")\n(command "_qsave")\n') ou en Visual Lisp doc.SendCommand('(vl-load-com)\n(setq doc (vla-get-activedocument (vlax-get-acad-object)))(vla-purgeall doc)(vla-save doc)(setq doc nil)\n') Je pense que vous commencez à comprendre que c'est no limite. A bientôt, je revient en vous montrant la traduction ActiveX -> Python.  
    • Bonjour, Non, pas du tout. On peut aussi les transmettre avec un .bat écrit par Autolisp comme ceci. python mon_fichier.py arg1 arg2 ... Ecrire un csv qui seras lu au démarrage du py. Le presse papier est le plus rapide (pas le plus sur, car peut refuser de fonctionner pour des raison obscure).   Pour le retour, Python peut écrire du lisp qui seras lu par un (load) par exemple. Comme on est dans le cas ou c'est un lisp qui lance le py, Python ne peut pas accéder à Autocad tant que le lisp tourne. Par contre, si nous utilisons Pyautocad, nous pouvons interpoler avec les variables sans soucis et effectivement créer tout les objets Autocad que l'on veut..  
    • Salut, si j'ai bien compris, la seule manière de passer des argument entre lisp et python c'est le presse papier ? du moins celle que tu utilise dans tes codes, car si Python sait faire un "hello world", il doit bien être capable de lire ou d'écrire dans un dictionnaire ou une astuce comme ça ? (peut être pas finalement, car com est nul en dictionnaires ....) a+ Gégé    
  • Sujets

×
×
  • Créer...

Information importante

Nous avons placé des cookies sur votre appareil pour aider à améliorer ce site. Vous pouvez choisir d’ajuster vos paramètres de cookie, sinon nous supposerons que vous êtes d’accord pour continuer. Politique de confidentialité